#!/bin/sh
# script by ShelbyGT500, mail digest for admin- version 1.0.0, 2014-05-03

. /var/log/copfilter/default/etc/global_settings
. /var/ipcop/main/settings
. /var/log/copfilter/default/langs/en.sh
. /var/log/copfilter/default/langs/${LANGUAGE}.sh

if [ "x$SPAM_DAILY_ADMIN" = "xon" ]; then


	cd /var/log/copfilter/default/opt/p3scan/quarantine

	#for EMAIL in `find $BASEDIR/opt/p3scan/quarantine/*.spam $BASEDIR/opt/proxsmtp/quarantine/*.spam -type f -mtime -1`
	#fix from jens
	for EMAIL in `find $BASEDIR/opt/p3scan/quarantine/ $BASEDIR/opt/proxsmtp/quarantine/ -mtime -1 |grep ".spam$"`
	do
    		RECIPIENTS2=`cat $EMAIL |sed -n '1,/^$/p' | $BASEDIR/opt/tools/bin/formail -c | \
     	            /usr/bin/awk -f $BASEDIR/opt/tools/bin/extract_email_adresses_to.awk`
    		RECIPIENTS=`echo $RECIPIENTS2 | sed -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/' | cut -d " " -f 1`
    		SENDER2=`cat $EMAIL |sed -n '1,/^$/p' | $BASEDIR/opt/tools/bin/formail -b -f -c | \
    	             /usr/bin/awk -f $BASEDIR/opt/tools/bin/extract_email_adresses_from.awk`
    		SENDER=`echo $SENDER2 |sed -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/'`
#    		SUBJECT=`cat $EMAIL |sed -n '1,/^$/p' |grep -i "Subject:" -m 1`
     		SUBJECT=`cat $EMAIL |sed -n '1,/^$/p' |grep -i "^Subject:" -m 1`

 
            #echo
            #echo EMAIL $EMAIL
            #echo DIGESTER $i
            #echo SENDER $SENDER
            echo ..Sender:  $SENDER >>/var/log/copfilter/default/opt/tmp/spam_admin_digest.$RECIPIENTS
            echo .."$SUBJECT" >>/var/log/copfilter/default/opt/tmp/spam_admin_digest.$RECIPIENTS
            echo >>/var/log/copfilter/default/opt/tmp/spam_admin_digest.$RECIPIENTS
       

	done


	#test -f /var/log/copfilter/default/opt/tmp/spam_admin_digest.* || rm /var/log/copfilter/default/opt/tmp/*not* && exit 0
	#if [ $(ls /var/log/copfilter/default/opt/tmp/ | grep spam_admin_digest.* | wc -w) = 0 ]; then
	#	rm /var/log/copfilter/default/opt/tmp/*not* >/dev/null 2>&1
	#	exit 0
	#fi



	echo "=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-" > /tmp/DAILY_RECAP
	echo >> /tmp/DAILY_RECAP
	echo "$CP_spam_digest" >> /tmp/DAILY_RECAP
	echo >> /tmp/DAILY_RECAP



	#for ii in `ls /var/log/copfilter/default/opt/tmp/spam_admin_digest.* &>/dev/null`
	for ii in `ls /var/log/copfilter/default/opt/tmp/spam_admin_digest.*`
	do

        	USER=`echo $ii | sed -e 's/\/var\/log\/copfilter\/default\/opt\/tmp\/spam_admin_digest\.\(.*\)/\1/'`
        	echo USER:  $USER >>/tmp/DAILY_RECAP
   		cat  $ii >> /tmp/DAILY_RECAP
   	 	echo >> /tmp/DAILY_RECAP	
   	 	echo >> /tmp/DAILY_RECAP
	

    

	done




	 echo "Sending to administrator enabled, mail will be sent"
        if [ "x${SMTP_AUTH_ENABLE}" = "xon" ]; then
                echo "smtp authentication enabled, using user: $SMTP_AUTH_USER"
                cat /tmp/DAILY_RECAP | ${SENDEMAIL} -xu $SMTP_AUTH_USER -xp $SMTP_AUTH_PASS \
                                -f ${SENDER_ADR} -t ${EMAIL_ADR} -s "${SMTP_HOST}"  \
                                -u "[Copfilter] Summary spam messages" |logger -t "sendemail spam digest"
        else
	        cat /tmp/DAILY_RECAP | ${SENDEMAIL}  ${SENDEMAIL_OPTIONS} -f ${SENDER_ADR} -t ${EMAIL_ADR} -s "${SMTP_HOST}" \
		 -u "[Copfilter] Summary spam messages" |logger -t "sendemail spam digest"
	fi
else
	 echo "Sending to administrator disabled, mail will not be sent"
fi
	 	



rm -f /var/log/copfilter/default/opt/tmp/spam_admin_digest*
rm /tmp/DAILY_RECAP
